mothur-1.13.0: fails to build with --as-needed

Mothur fails to build with LDFLAGS="-Wl,–as-needed" due to wrong linking order [1].
Steps to reproduce:

  1. export LDFLAGS="-Wl,–as-needed"
  2. make

For full build.log please see downstream bug:
http://bugs.gentoo.org/show_bug.cgi?id=339753

Best regards,
Kacper Kowalik

[1] http://www.gentoo.org/proj/en/qa/asneeded.xml